import { BaseAPIRequestFactory } from './baseapi';
import { Configuration } from '../configuration';
import { RequestContext, ResponseContext, HttpInfo } from '../http/http';
export declare class HealthApiRequestFactory extends BaseAPIRequestFactory {
    readyCheck(_options?: Configuration): Promise<RequestContext>;
}
export declare class HealthApiResponseProcessor {
    readyCheckWithHttpInfo(response: ResponseContext): Promise<HttpInfo<string>>;
}
