import { BaseAPIRequestFactory } from './baseapi';
import { Configuration } from '../configuration';
import { RequestContext, ResponseContext, HttpInfo } from '../http/http';
import { SendSlackMessageRequest } from '../models/SendSlackMessageRequest';
import { SendSlackMessageResponse } from '../models/SendSlackMessageResponse';
export declare class NotificationApiRequestFactory extends BaseAPIRequestFactory {
    sendSlackNotification(sendSlackMessageRequest: SendSlackMessageRequest, _options?: Configuration): Promise<RequestContext>;
}
export declare class NotificationApiResponseProcessor {
    sendSlackNotificationWithHttpInfo(response: ResponseContext): Promise<HttpInfo<SendSlackMessageResponse>>;
}
