import { BaseAPIRequestFactory } from './baseapi';
import { Configuration } from '../configuration';
import { RequestContext, ResponseContext, HttpInfo } from '../http/http';
import { SendSMSRequest } from '../models/SendSMSRequest';
export declare class SmsApiRequestFactory extends BaseAPIRequestFactory {
    sendSMS(sendSMSRequest: SendSMSRequest, _options?: Configuration): Promise<RequestContext>;
}
export declare class SmsApiResponseProcessor {
    sendSMSWithHttpInfo(response: ResponseContext): Promise<HttpInfo<string>>;
}
