import { EmailRecipient } from '../models/EmailRecipient';
import { EmailSender } from '../models/EmailSender';
import { MailMessage } from '../models/MailMessage';
export declare class SendBulkMailRequest {
    'toAddresses': Array<EmailRecipient>;
    'ccAddresses'?: Array<EmailRecipient>;
    'bccAddresses'?: Array<EmailRecipient>;
    'fromAddress': EmailSender;
    'message'?: MailMessage;
    'headers'?: {
        [key: string]: string;
    };
    static readonly discriminator: string | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
